--[[
	Copyright (c) 2014, Lars "Goldpaw" Norberg

	Web: http://www.goldpawsgui.com
	Contact: goldpaw@goldpawsgui.com

	All rights reserved

	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
	"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
	LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
	A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
	EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
	PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
	LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
	NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--
local ADDON = ...
local LSM = _G.LibStub("LibSharedMedia-3.0") 
local function path(lib, file)
	return ("Interface\\AddOns\\%s\\media\\%s\\%s"):format(ADDON, lib, file)
end

-- borders
LSM:Register("border", "GP: Tooltip", path("borders", "gUI4_Border_256x32_Tooltip_Warcraft.tga"))

-- statusbars
LSM:Register("statusbar", "GP: Normal", path("statusbars", "gUI4_StatusBar_512x64_Normal_Warcraft.tga"))
LSM:Register("statusbar", "GP: Resource", path("statusbars", "gUI4_StatusBar_512x64_Resource_Warcraft.tga"))
LSM:Register("statusbar", "GP: Power", path("statusbars", "gUI4_StatusBar_512x64_Power_Warcraft.tga"))
LSM:Register("statusbar", "GP: Dark", path("statusbars", "gUI4_StatusBar_512x64_Dark_Warcraft.tga"))

-- statusbar backdrops
LSM:Register("statusbar", "GP: Backdrop", path("statusbars", "gUI4_StatusBar_512x64_Backdrop_Warcraft.tga"))

-- statusbar overlays
-- LSM:Register("statusbar", "GP Overlay (Standard)", path("statusbars", "gUI4_StatusBar_512x64_Overlay_Warcraft.tga"))
-- LSM:Register("statusbar", "GP Overlay (Resource)", path("statusbars", "gUI4_StatusBar_512x64_ResourceOverlay_Warcraft.tga"))

-- fonts
LSM:Register("font", "DejaVuSans", path("fonts", "DejaVuSans.ttf"))
LSM:Register("font", "DejaVuSans-Bold", path("fonts", "DejaVuSans-Bold.ttf"))
LSM:Register("font", "DejaVuSansCondensed", path("fonts", "DejaVuSansCondensed.ttf"))
LSM:Register("font", "DejaVuSansCondensed-Bold", path("fonts", "DejaVuSansCondensed-Bold.ttf"))
LSM:Register("font", "DejaVuSans-ExtraLight", path("fonts", "DejaVuSans-ExtraLight.ttf"))

